org.apache.cassandra.db

## Interface Slices.InOrderTester

Enclosing class:
  Slices

    public static interface Slices.InOrderTester

In simple object that allows to test the inclusion of rows in those slices assuming those rows are passed (to `includes(org.apache.cassandra.db.Clustering)`) in clustering order (or reverse clustering ordered, depending of the argument passed to `Slices.inOrderTester(boolean)`).

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `includes(Clustering value)`
`boolean` `isDone()`

### Method Detail

#### includes

    boolean includes(Clustering value)

#### isDone

    boolean isDone()